Subject: Bug#274436: i386 serial console installation report

From: [email-masked] (Geert Stappers)
Date: Sat, 2 Oct 2004 09:30:59 +0200

On Fri, Oct 01, 2004 at 06:23:11PM -0400, Joey Hess wrote:
> Geert Stappers wrote:
> > A netboot install on a i386 with serial console went mostly fine.
> > 
> > Here is my feedback:
> > 
> > * Had to use the newt frontend, but that is not funny on serial line.
> > Please include cdebconf-text-udeb, to make DEBIAN_FRONTEND=text possible.
> 
> I'd considered adding this anyway before for i386, so I have.
Nice! TNX

> > * to get a nice behaving base-config [1]
> > You have to install the libterm-readline-gnu-perl package
> > in the target chroot and `dpkg-reconfigure debconf` to set readline.
> 
> > [1] it doesn't shown the default in the menus, neither selections.
> 
> The default behavior of debconf here is not ideal, but unfortunatly cannot be
> easily improved with perl's built in read line library:
> 
>   * readline and teletype frontends do not display default in brackets,
>     and do not special case empty string as the default. It's more important
>     that the user be able to enter an empty string reliably. Default values
>     are still provided if Term::Readline::Gnu is installed. Closes: #183970
> 
> So basically, there _is_ no default with the configuration you set up.

I have the feeling that we are talking about different things.

With "it doesn't shown the default in the menus, neither selections."
I mean base-config, with newt frontend on a serial console,
doesn't show what will happen when 'enter' is pressed.

Clearification:
 Partman leaves the cursor at the no, pressing 'tab' puts cursor at the yes

 "system clock GMT" yes no        but no cursor nor other mark,
 pressing 'tab' redraws the screen, but no "you choose this sign"

> > * No kernel messages and no grub menu is shown on the serial console.
> > With this patch on /boot/grub/menu.lst it does.
> 
> I suppose I'll reassign this report to grub-installer, though we already have
> #224641. What we really need is a tested grub-installer patch..

Acknowledge.

Cheers
Geert Stappers